> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sub-account spending

> Get spending information for a sub-account. Returns the parent team's balance, the sub-account's total spending, and its credit limit (spending cap). Requires a parent project API key; sub-account API keys receive HTTP 403.



## OpenAPI

````yaml /openapi.json get /v1/sub-accounts/{id}/balance
openapi: 3.0.3
info:
  title: Zavu Unified Messaging Layer API
  version: 0.2.0
  description: >
    Unified multi-channel messaging API for Zavu.


    Supported channels:

    - **SMS**: Simple text messages

    - **WhatsApp**: Rich messaging with media, buttons, lists, CTA URL buttons,
    and templates

    - **Telegram**: Bot messaging with text, media, and interactive elements

    - **Email**: Transactional emails via Amazon SES


    Design goals:

    - Simple `send()` entrypoint for developers

    - Project-level authentication via Bearer token

    - Support for all WhatsApp message types (text, image, video, audio,
    document, sticker, location, contact, buttons, list, cta_url, reaction,
    template)

    - If a non-text message type is sent, WhatsApp channel is used automatically

    - 24-hour WhatsApp conversation window enforcement

    - Universal `to` field accepts phone numbers (E.164), email addresses, or
    numeric chat IDs (Telegram/Instagram)
servers:
  - url: https://api.zavu.dev
security:
  - bearerAuth: []
paths:
  /v1/sub-accounts/{id}/balance:
    get:
      tags:
        - Sub-Accounts
      summary: Get sub-account spending
      description: >-
        Get spending information for a sub-account. Returns the parent team's
        balance, the sub-account's total spending, and its credit limit
        (spending cap). Requires a parent project API key; sub-account API keys
        receive HTTP 403.
      operationId: getSubAccountBalance
      parameters:
        - $ref: '#/components/parameters/SubAccountIdParam'
      responses:
        '200':
          description: Sub-account balance.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden. Sub-account API keys cannot manage sub-accounts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Sub-account not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  parameters:
    SubAccountIdParam:
      name: id
      in: path
      required: true
      description: Sub-account ID.
      schema:
        type: string
  schemas:
    BalanceResponse:
      type: object
      required:
        - balance
        - currency
      properties:
        balance:
          type: integer
          description: Team balance in cents. All charges are billed to the parent team.
        currency:
          type: string
          example: usd
        creditLimit:
          type: integer
          nullable: true
          description: Spending cap in cents (only for sub-accounts).
        totalSpent:
          type: integer
          nullable: true
          description: >-
            Total amount spent by this sub-account in cents (only for
            sub-accounts).
        isSubAccount:
          type: boolean
          description: Whether this API key belongs to a sub-account.
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          example: invalid_request
        message:
          type: string
          example: Phone number is invalid
        details:
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````